--- old/usr/src/uts/common/fs/zfs/zfs_vnops.c	sam. juil. 16 15:14:43 2016
+++ new/usr/src/uts/common/fs/zfs/zfs_vnops.c	sam. juil. 16 15:14:43 2016
@@ -5222,32 +5222,32 @@
  */
 vnodeops_t *zfs_dvnodeops;
 const fs_operation_def_t zfs_dvnodeops_template[] = {
-	VOPNAME_OPEN,		{ .vop_open = zfs_open },
-	VOPNAME_CLOSE,		{ .vop_close = zfs_close },
-	VOPNAME_READ,		{ .error = zfs_isdir },
-	VOPNAME_WRITE,		{ .error = zfs_isdir },
-	VOPNAME_IOCTL,		{ .vop_ioctl = zfs_ioctl },
-	VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr },
-	VOPNAME_SETATTR,	{ .vop_setattr = zfs_setattr },
-	VOPNAME_ACCESS,		{ .vop_access = zfs_access },
-	VOPNAME_LOOKUP,		{ .vop_lookup = zfs_lookup },
-	VOPNAME_CREATE,		{ .vop_create = zfs_create },
-	VOPNAME_REMOVE,		{ .vop_remove = zfs_remove },
-	VOPNAME_LINK,		{ .vop_link = zfs_link },
-	VOPNAME_RENAME,		{ .vop_rename = zfs_rename },
-	VOPNAME_MKDIR,		{ .vop_mkdir = zfs_mkdir },
-	VOPNAME_RMDIR,		{ .vop_rmdir = zfs_rmdir },
-	VOPNAME_READDIR,	{ .vop_readdir = zfs_readdir },
-	VOPNAME_SYMLINK,	{ .vop_symlink = zfs_symlink },
-	VOPNAME_FSYNC,		{ .vop_fsync = zfs_fsync },
-	VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive },
-	VOPNAME_FID,		{ .vop_fid = zfs_fid },
-	VOPNAME_SEEK,		{ .vop_seek = zfs_seek },
-	VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf },
-	VOPNAME_GETSECATTR,	{ .vop_getsecattr = zfs_getsecattr },
-	VOPNAME_SETSECATTR,	{ .vop_setsecattr = zfs_setsecattr },
-	VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support },
-	NULL,			NULL
+	{ VOPNAME_OPEN,		{ .vop_open = zfs_open } },
+	{ VOPNAME_CLOSE,	{ .vop_close = zfs_close } },
+	{ VOPNAME_READ,		{ .error = zfs_isdir } },
+	{ VOPNAME_WRITE,	{ .error = zfs_isdir } },
+	{ VOPNAME_IOCTL,	{ .vop_ioctl = zfs_ioctl } },
+	{ VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr } },
+	{ VOPNAME_SETATTR,	{ .vop_setattr = zfs_setattr } },
+	{ VOPNAME_ACCESS,	{ .vop_access = zfs_access } },
+	{ VOPNAME_LOOKUP,	{ .vop_lookup = zfs_lookup } },
+	{ VOPNAME_CREATE,	{ .vop_create = zfs_create } },
+	{ VOPNAME_REMOVE,	{ .vop_remove = zfs_remove } },
+	{ VOPNAME_LINK,		{ .vop_link = zfs_link } },
+	{ VOPNAME_RENAME,	{ .vop_rename = zfs_rename } },
+	{ VOPNAME_MKDIR,	{ .vop_mkdir = zfs_mkdir } },
+	{ VOPNAME_RMDIR,	{ .vop_rmdir = zfs_rmdir } },
+	{ VOPNAME_READDIR,	{ .vop_readdir = zfs_readdir } },
+	{ VOPNAME_SYMLINK,	{ .vop_symlink = zfs_symlink } },
+	{ VOPNAME_FSYNC,	{ .vop_fsync = zfs_fsync } },
+	{ VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive } },
+	{ VOPNAME_FID,		{ .vop_fid = zfs_fid } },
+	{ VOPNAME_SEEK,		{ .vop_seek = zfs_seek } },
+	{ VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf } },
+	{ VOPNAME_GETSECATTR,	{ .vop_getsecattr = zfs_getsecattr } },
+	{ VOPNAME_SETSECATTR,	{ .vop_setsecattr = zfs_setsecattr } },
+	{ VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support } },
+	{ NULL,			{ NULL } }
 };
 
 /*
@@ -5255,34 +5255,34 @@
  */
 vnodeops_t *zfs_fvnodeops;
 const fs_operation_def_t zfs_fvnodeops_template[] = {
-	VOPNAME_OPEN,		{ .vop_open = zfs_open },
-	VOPNAME_CLOSE,		{ .vop_close = zfs_close },
-	VOPNAME_READ,		{ .vop_read = zfs_read },
-	VOPNAME_WRITE,		{ .vop_write = zfs_write },
-	VOPNAME_IOCTL,		{ .vop_ioctl = zfs_ioctl },
-	VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr },
-	VOPNAME_SETATTR,	{ .vop_setattr = zfs_setattr },
-	VOPNAME_ACCESS,		{ .vop_access = zfs_access },
-	VOPNAME_LOOKUP,		{ .vop_lookup = zfs_lookup },
-	VOPNAME_RENAME,		{ .vop_rename = zfs_rename },
-	VOPNAME_FSYNC,		{ .vop_fsync = zfs_fsync },
-	VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive },
-	VOPNAME_FID,		{ .vop_fid = zfs_fid },
-	VOPNAME_SEEK,		{ .vop_seek = zfs_seek },
-	VOPNAME_FRLOCK,		{ .vop_frlock = zfs_frlock },
-	VOPNAME_SPACE,		{ .vop_space = zfs_space },
-	VOPNAME_GETPAGE,	{ .vop_getpage = zfs_getpage },
-	VOPNAME_PUTPAGE,	{ .vop_putpage = zfs_putpage },
-	VOPNAME_MAP,		{ .vop_map = zfs_map },
-	VOPNAME_ADDMAP,		{ .vop_addmap = zfs_addmap },
-	VOPNAME_DELMAP,		{ .vop_delmap = zfs_delmap },
-	VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf },
-	VOPNAME_GETSECATTR,	{ .vop_getsecattr = zfs_getsecattr },
-	VOPNAME_SETSECATTR,	{ .vop_setsecattr = zfs_setsecattr },
-	VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support },
-	VOPNAME_REQZCBUF,	{ .vop_reqzcbuf = zfs_reqzcbuf },
-	VOPNAME_RETZCBUF,	{ .vop_retzcbuf = zfs_retzcbuf },
-	NULL,			NULL
+	{ VOPNAME_OPEN,		{ .vop_open = zfs_open } },
+	{ VOPNAME_CLOSE,	{ .vop_close = zfs_close } },
+	{ VOPNAME_READ,		{ .vop_read = zfs_read } },
+	{ VOPNAME_WRITE,	{ .vop_write = zfs_write } },
+	{ VOPNAME_IOCTL,	{ .vop_ioctl = zfs_ioctl } },
+	{ VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr } },
+	{ VOPNAME_SETATTR,	{ .vop_setattr = zfs_setattr } },
+	{ VOPNAME_ACCESS,	{ .vop_access = zfs_access } },
+	{ VOPNAME_LOOKUP,	{ .vop_lookup = zfs_lookup } },
+	{ VOPNAME_RENAME,	{ .vop_rename = zfs_rename } },
+	{ VOPNAME_FSYNC,	{ .vop_fsync = zfs_fsync } },
+	{ VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive } },
+	{ VOPNAME_FID,		{ .vop_fid = zfs_fid } },
+	{ VOPNAME_SEEK,		{ .vop_seek = zfs_seek } },
+	{ VOPNAME_FRLOCK,	{ .vop_frlock = zfs_frlock } },
+	{ VOPNAME_SPACE,	{ .vop_space = zfs_space } },
+	{ VOPNAME_GETPAGE,	{ .vop_getpage = zfs_getpage } },
+	{ VOPNAME_PUTPAGE,	{ .vop_putpage = zfs_putpage } },
+	{ VOPNAME_MAP,		{ .vop_map = zfs_map } },
+	{ VOPNAME_ADDMAP,	{ .vop_addmap = zfs_addmap } },
+	{ VOPNAME_DELMAP,	{ .vop_delmap = zfs_delmap } },
+	{ VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf } },
+	{ VOPNAME_GETSECATTR,	{ .vop_getsecattr = zfs_getsecattr } },
+	{ VOPNAME_SETSECATTR,	{ .vop_setsecattr = zfs_setsecattr } },
+	{ VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support } },
+	{ VOPNAME_REQZCBUF,	{ .vop_reqzcbuf = zfs_reqzcbuf } },
+	{ VOPNAME_RETZCBUF,	{ .vop_retzcbuf = zfs_retzcbuf } },
+	{ NULL,			{ NULL } }
 };
 
 /*
@@ -5290,16 +5290,16 @@
  */
 vnodeops_t *zfs_symvnodeops;
 const fs_operation_def_t zfs_symvnodeops_template[] = {
-	VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr },
-	VOPNAME_SETATTR,	{ .vop_setattr = zfs_setattr },
-	VOPNAME_ACCESS,		{ .vop_access = zfs_access },
-	VOPNAME_RENAME,		{ .vop_rename = zfs_rename },
-	VOPNAME_READLINK,	{ .vop_readlink = zfs_readlink },
-	VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive },
-	VOPNAME_FID,		{ .vop_fid = zfs_fid },
-	VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf },
-	VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support },
-	NULL,			NULL
+	{ VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr } },
+	{ VOPNAME_SETATTR,	{ .vop_setattr = zfs_setattr } },
+	{ VOPNAME_ACCESS,	{ .vop_access = zfs_access } },
+	{ VOPNAME_RENAME,	{ .vop_rename = zfs_rename } },
+	{ VOPNAME_READLINK,	{ .vop_readlink = zfs_readlink } },
+	{ VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive } },
+	{ VOPNAME_FID,		{ .vop_fid = zfs_fid } },
+	{ VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf } },
+	{ VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support } },
+	{ NULL,			{ NULL } }
 };
 
 /*
@@ -5307,15 +5307,15 @@
  */
 vnodeops_t *zfs_sharevnodeops;
 const fs_operation_def_t zfs_sharevnodeops_template[] = {
-	VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr },
-	VOPNAME_ACCESS,		{ .vop_access = zfs_access },
-	VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive },
-	VOPNAME_FID,		{ .vop_fid = zfs_fid },
-	VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf },
-	VOPNAME_GETSECATTR,	{ .vop_getsecattr = zfs_getsecattr },
-	VOPNAME_SETSECATTR,	{ .vop_setsecattr = zfs_setsecattr },
-	VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support },
-	NULL,			NULL
+	{ VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr } },
+	{ VOPNAME_ACCESS,	{ .vop_access = zfs_access } },
+	{ VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive } },
+	{ VOPNAME_FID,		{ .vop_fid = zfs_fid } },
+	{ VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf } },
+	{ VOPNAME_GETSECATTR,	{ .vop_getsecattr = zfs_getsecattr } },
+	{ VOPNAME_SETSECATTR,	{ .vop_setsecattr = zfs_setsecattr } },
+	{ VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support } },
+	{ NULL,			{ NULL } }
 };
 
 /*
@@ -5333,30 +5333,30 @@
  */
 vnodeops_t *zfs_xdvnodeops;
 const fs_operation_def_t zfs_xdvnodeops_template[] = {
-	VOPNAME_OPEN,		{ .vop_open = zfs_open },
-	VOPNAME_CLOSE,		{ .vop_close = zfs_close },
-	VOPNAME_IOCTL,		{ .vop_ioctl = zfs_ioctl },
-	VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr },
-	VOPNAME_SETATTR,	{ .vop_setattr = zfs_setattr },
-	VOPNAME_ACCESS,		{ .vop_access = zfs_access },
-	VOPNAME_LOOKUP,		{ .vop_lookup = zfs_lookup },
-	VOPNAME_CREATE,		{ .vop_create = zfs_create },
-	VOPNAME_REMOVE,		{ .vop_remove = zfs_remove },
-	VOPNAME_LINK,		{ .vop_link = zfs_link },
-	VOPNAME_RENAME,		{ .vop_rename = zfs_rename },
-	VOPNAME_MKDIR,		{ .error = zfs_inval },
-	VOPNAME_RMDIR,		{ .vop_rmdir = zfs_rmdir },
-	VOPNAME_READDIR,	{ .vop_readdir = zfs_readdir },
-	VOPNAME_SYMLINK,	{ .error = zfs_inval },
-	VOPNAME_FSYNC,		{ .vop_fsync = zfs_fsync },
-	VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive },
-	VOPNAME_FID,		{ .vop_fid = zfs_fid },
-	VOPNAME_SEEK,		{ .vop_seek = zfs_seek },
-	VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf },
-	VOPNAME_GETSECATTR,	{ .vop_getsecattr = zfs_getsecattr },
-	VOPNAME_SETSECATTR,	{ .vop_setsecattr = zfs_setsecattr },
-	VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support },
-	NULL,			NULL
+	{ VOPNAME_OPEN,		{ .vop_open = zfs_open } },
+	{ VOPNAME_CLOSE,	{ .vop_close = zfs_close } },
+	{ VOPNAME_IOCTL,	{ .vop_ioctl = zfs_ioctl } },
+	{ VOPNAME_GETATTR,	{ .vop_getattr = zfs_getattr } },
+	{ VOPNAME_SETATTR,	{ .vop_setattr = zfs_setattr } },
+	{ VOPNAME_ACCESS,	{ .vop_access = zfs_access } },
+	{ VOPNAME_LOOKUP,	{ .vop_lookup = zfs_lookup } },
+	{ VOPNAME_CREATE,	{ .vop_create = zfs_create } },
+	{ VOPNAME_REMOVE,	{ .vop_remove = zfs_remove } },
+	{ VOPNAME_LINK,		{ .vop_link = zfs_link } },
+	{ VOPNAME_RENAME,	{ .vop_rename = zfs_rename } },
+	{ VOPNAME_MKDIR,	{ .error = zfs_inval } },
+	{ VOPNAME_RMDIR,	{ .vop_rmdir = zfs_rmdir } },
+	{ VOPNAME_READDIR,	{ .vop_readdir = zfs_readdir } },
+	{ VOPNAME_SYMLINK,	{ .error = zfs_inval } },
+	{ VOPNAME_FSYNC,	{ .vop_fsync = zfs_fsync } },
+	{ VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive } },
+	{ VOPNAME_FID,		{ .vop_fid = zfs_fid } },
+	{ VOPNAME_SEEK,		{ .vop_seek = zfs_seek } },
+	{ VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf } },
+	{ VOPNAME_GETSECATTR,	{ .vop_getsecattr = zfs_getsecattr } },
+	{ VOPNAME_SETSECATTR,	{ .vop_setsecattr = zfs_setsecattr } },
+	{ VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support } },
+	{ NULL,			{ NULL } }
 };
 
 /*
@@ -5364,7 +5364,7 @@
  */
 vnodeops_t *zfs_evnodeops;
 const fs_operation_def_t zfs_evnodeops_template[] = {
-	VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive },
-	VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf },
-	NULL,			NULL
+	{ VOPNAME_INACTIVE,	{ .vop_inactive = zfs_inactive } },
+	{ VOPNAME_PATHCONF,	{ .vop_pathconf = zfs_pathconf } },
+	{ NULL,			{ NULL } }
 };
